
Figure - Bug #117969
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】飞书语音中，点击播放音乐，音乐可播放但不出声，挂断电话后点击音乐显示
“无法打开文件”
2023-05-16 19:59 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-16

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 在焦点失败时，将音乐暂停。

Description

【前提条件】：

中控0080

副屏0100

【操作步骤】

1、飞书语音中（副屏打出去的）

2、点击播放本地音乐

3、挂断电话

4、点击播放音乐

【预期结果】

2、音乐不可播放

4、音乐可以正常播放

【实际结果】

2、音乐可播放但不出声

4、挂断电话后点击音乐显示“无法打开文件”

Related issues:

Related to Figure - Bug # 118471: 【IOVDEV-32443】【内部】【VC1】... CLOSED 2023-06-02

History

#1 - 2023-05-17 12:28 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前分析：

根据日志分析，焦点行为正常，但音乐播放出现以下错误日志，当前预计是mediaplayer出现问题。

22145:05-16 19:39:01.194  3604  3604 E MediaPlayerNative: Attempt to call getDuration in wrong state: mPlayer=0xb400007babf72cd0, mCurrentState=0

22146:05-16 19:39:01.194  3604  3604 E MediaPlayerNative: error (-38, 0)

22154:05-16 19:39:01.204  3604  3604 E MediaPlayer: Error (-38,0)

22157:05-16 19:39:01.204  3604  3604 E MediaPlayer: Error (-38,0)
下一步：

继续分析

#2 - 2023-05-18 20:40 - CD MM陈海波

22145:05-16 19:39:01.194 3604 3604 E MediaPlayerNative: Attempt to call getDuration in wrong state: mPlayer=0xb400007babf72cd0, mCurrentState=0

22146:05-16 19:39:01.194 3604 3604 E MediaPlayerNative: error (-38, 0)

出现这个错误原因 主要是由于app未调用prepare方法就直接调用getDuration方法了.

这样的情况就会上边的信息产生.

但从提供的1939.txt的log分析, 错误的现象似乎和log对不上. 

具体还需要再进一步分析.

多谢!

#3 - 2023-05-19 11:40 - CD MM陈海波

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

挂断电话后点击音乐显示“无法打开文件”

   产生"无法打开文件"主要和下边的log信息相关. 直接导致的原因主要就是music使用MediaPlayer接口时, 

   没有调用prepare方法就直接调用getDuration或者start方法, 这样就会出现下边的错误: 

   (推测Music应用之前初始化后的实例被release掉了, 然后又为重新初始化就直接调用了start或者getDuration方法)

-----

05-16 19:39:01.194  3604  3604 E MediaPlayerNative: Attempt to call getDuration in wrong state: mPlayer=0xb400007babf72cd0, mCurrentState=0

05-16 19:39:01.194  3604  3604 E MediaPlayerNative: error (-38, 0)

05-16 19:39:01.202  3604  3604 V MediaPlaybackService: AudioFocus: received AUDIOFOCUS_GAIN

05-16 19:39:01.204  3604  3604 E MediaPlaybackService:  ERROR: Pause the clip

但此问题的根本原因产生在下边这两个步骤或者之前, 这个步骤的log并没有抓取得到, 

所以无法再进一步得知根本原因所在.

1、飞书语音中（提供的log当前没有对应这部分的log）

2、点击播放本地音乐 //音乐可播放但不出声. 导致此问题的原因, "无法打开文件"是此问题的延续出来的.

基于这样情况, 麻烦重新复现并提供下边的log信息: 

1. 测试前环境准备: 

adb shell setprop log.tag.MusicVP DEBUG

2. 当问题产生时, 请重新提供下边的log信息: 

adb shell dumpsys activity -p com.android.music services  > dumpsys_music.txt

adb shell dumpsys audio > audio.txt

adb shell media.metrics > media.metrics.txt

adb logcat -b all > logcat.txt
多谢!

#4 - 2023-05-19 11:42 - CD MM陈海波

此问题未复现出来, 麻烦加强测试, 并重新提供下下边的log信息:

1. 测试前环境准备:

adb shell setprop log.tag.MusicVP DEBUG

2. 当问题产生时, 请重新提供下边的log信息:

adb shell dumpsys activity -p com.android.music services > dumpsys_music.txt

adb shell dumpsys audio > audio.txt

adb shell dumpsys media.metrics > media.metrics.txt

adb logcat -b all > logcat.txt  //logcat一定要测试的时候一直连接着. 因为问题可能产生在测试步骤2之前.

#5 - 2023-05-19 14:43 - CD TEST-方永红

- File A1432.txt added

- File dumpsys_music.txt added

- File audio.txt added

- File 1439.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD MM陈海波

【测试内容更新】

1、飞书语音中（副屏打出去的）

2、点击播放本地音乐

3、挂断电话

4、点击播放音乐

【实际结果】

2、音乐可播放但不出声

4、挂断电话后音乐播放进度清零

点击播放音乐、显示“无法打开文件”

再点击一次播放按钮，可正常播放

#6 - 2023-05-22 19:44 - CD MM陈海波

- Assignee changed from CD MM陈海波 to Multimedia组-RD3_TSCD 梁卿山

#7 - 2023-05-23 15:06 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

该问题是由于当前通话时，音乐获取焦点失败，底层停止了播放，应用未触发暂停或者停止，导致看起来还在播放。

05-23 14:44:38.532  1092  2046 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=2(PLAYER_STATE_STARTED)apc

=AudioPlaybackConfiguration piid:431 deviceId:0 type:android.media.MediaPlayer u/pid:10107/5831 state:paused attr:AudioAttributes: usage=USAGE_MEDIA

content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

05-23 14:44:38.536  1092  2046 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 3

05-23 14:44:38.536  1092  2046 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus, voice calling,media focus return failed  ★★★
05-23 14:44:38.536  1092  2046 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM -> stopPlayer: 431 ★★★

下一步

找方案能通知音乐软件已经暂停播放。

#8 - 2023-05-24 16:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202116 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Pause playback when get focus failPause playback when get focus failTC-RID: 0301-0900116IssueID: TS-R-DF-117969Change-Id:

Idc8d4b08dea3e59fea339a82a79c448301d6350a

#9 - 2023-05-24 16:20 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 在焦点失败时，将音乐暂停。

HI 永红

该问题已经投入提交修复，请使用5月24日后的版本进行验证。

#10 - 2023-05-26 18:25 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to ASSIGNED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305260126

#11 - 2023-05-26 18:25 - 物联网测试组_CDTS  唐霞 

- Status changed from ASSIGNED to RESOLVED

#12 - 2023-05-26 18:26 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#13 - 2023-05-26 18:26 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

1939.txt 2.87 MB 2023-05-16 CD TEST-方永红

A1432.txt 4.95 MB 2023-05-19 CD TEST-方永红

dumpsys_music.txt 6.34 KB 2023-05-19 CD TEST-方永红
audio.txt 28 KB 2023-05-19 CD TEST-方永红

1439.txt 255 KB 2023-05-19 CD TEST-方永红
